## tinyobjloader 2.0.0~rc5+dfsg1

=== CMakeLists.txt ===
#Tiny Object Loader Cmake configuration file.
#This configures the Cmake system with multiple properties, depending
#on the platform and configuration it is set to build in.
project(tinyobjloader)
cmake_minimum_required(VERSION 2.8.11)
set(TINYOBJLOADER_SOVERSION 1)
set(TINYOBJLOADER_VERSION 1.0.4)

#optional double precision support
option(TINYOBJLOADER_USE_DOUBLE "Build library with double precision instead of single (float)" OFF)

if(TINYOBJLOADER_USE_DOUBLE)
  set(LIBRARY_NAME ${PROJECT_NAME}_double)
else()
  set(LIBRARY_NAME ${PROJECT_NAME})
endif()


#Folder Shortcuts
set(TINYOBJLOADEREXAMPLES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/examples)

set(tinyobjloader-Source
  ${CMAKE_CURRENT_SOURCE_DIR}/tiny_obj_loader.h
  ${CMAKE_CURRENT_SOURCE_DIR}/tiny_obj_loader.cc
  )

set(tinyobjloader-Example-Source
  ${CMAKE_CURRENT_SOURCE_DIR}/loader_example.cc
  )

set(tinyobjloader-examples-objsticher
  ${TINYOBJLOADEREXAMPLES_DIR}/obj_sticher/obj_writer.h
  ${TINYOBJLOADEREXAMPLES_DIR}/obj_sticher/obj_writer.cc
  ${TINYOBJLOADEREXAMPLES_DIR}/obj_sticher/obj_sticher.cc
  )

#Install destinations
include(GNUInstallDirs)

set(TINYOBJLOADER_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/cmake)
set(TINYOBJLOADER_DOC_DIR ${CMAKE_INSTALL_DOCDIR})
set(TINYOBJLOADER_INCLUDE_DIR ${CMAKE_INSTALL_INCLUDEDIR})
set(TINYOBJLOADER_LIBRARY_DIR ${CMAKE_INSTALL_LIBDIR})
set(TINYOBJLOADER_PKGCONFIG_DIR ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
set(TINYOBJLOADER_RUNTIME_DIR ${CMAKE_INSTALL_BINDIR})

option(TINYOBJLOADER_BUILD_TEST_LOADER "Build Example Loader Application" OFF)

add_library(${LIBRARY_NAME} ${tinyobjloader-Source})

if(BUILD_SHARED_LIBS)
  set_target_properties(${LIBRARY_NAME} PROPERTIES
    SOVERSION ${TINYOBJLOADER_SOVERSION}
    WINDOWS_EXPORT_ALL_SYMBOLS ON
  )
endif()

if(TINYOBJLOADER_USE_DOUBLE)
  target_compile_definitions(${LIBRARY_NAME} PUBLIC TINYOBJLOADER_USE_DOUBLE)
endif()

set_target_properties(${LIBRARY_NAME} PROPERTIES VERSION ${TINYOBJLOADER_VERSION})

target_include_directories(${LIBRARY_NAME} INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:${TINYOBJLOADER_INCLUDE_DIR}>
  )

export(TARGETS ${LIBRARY_NAME} FILE ${PROJECT_NAME}-targets.cmake)

if(TINYOBJLOADER_BUILD_TEST_LOADER)
  add_executable(test_loader ${tinyobjloader-Example-Source})
  target_link_libraries(test_loader ${LIBRARY_NAME})
endif()

option(TINYOBJLOADER_BUILD_OBJ_STICHER "Build OBJ Sticher Application" OFF)
if(TINYOBJLOADER_BUILD_OBJ_STICHER)
  add_executable(obj_sticher ${tinyobjloader-examples-objsticher})
  target_link_libraries(obj_sticher ${LIBRARY_NAME})

  install(TARGETS
    obj_sticher
    DESTINATION
    ${TINYOBJLOADER_RUNTIME_DIR}
    )
endif()

#Write CMake package config files
include(CMakePackageConfigHelpers)

configure_package_config_file(
  ${PROJECT_NAME}-config.cmake.in
  ${PROJECT_NAME}-config.cmake
  INSTALL_DESTINATION
  ${TINYOBJLOADER_CMAKE_DIR}
  PATH_VARS
  TINYOBJLOADER_INCLUDE_DIR
  TINYOBJLOADER_LIBRARY_DIR
  NO_CHECK_REQUIRED_COMPONENTS_MACRO
  )

write_basic_package_version_file(${PROJECT_NAME}-config-version.cmake
  VERSION
  ${TINYOBJLOADER_VERSION}
  COMPATIBILITY
  SameMajorVersion
  )

#pkg-config file
configure_file(${PROJECT_NAME}.pc.in ${LIBRARY_NAME}.pc @ONLY)

#Installation
install(TARGETS
  ${LIBRARY_NAME}
  EXPORT ${PROJECT_NAME}-targets
  DESTINATION
  ${TINYOBJLOADER_LIBRARY_DIR}
  PUBLIC_HEADER DESTINATION
  ${TINYOBJLOADER_INCLUDE_DIR}
  RUNTIME DESTINATION
  ${TINYOBJLOADER_RUNTIME_DIR}
  )
install(EXPORT
  ${PROJECT_NAME}-targets
  NAMESPACE
  tinyobjloader::
  DESTINATION
  ${TINYOBJLOADER_CMAKE_DIR}
  )
install(FILES
  tiny_obj_loader.h
  DESTINATION
  ${TINYOBJLOADER_INCLUDE_DIR}
  )
install(FILES
  LICENSE
  DESTINATION
  ${TINYOBJLOADER_DOC_DIR}
  )
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  DESTINATION
  ${TINYOBJLOADER_CMAKE_DIR}
  )
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${LIBRARY_NAME}.pc"
  DESTINATION
  ${TINYOBJLOADER_PKGCONFIG_DIR}
  )

if(NOT TARGET uninstall)
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

  add_custom_target(
    uninstall COMMAND ${CMAKE_COMMAND} -P
                      ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== python/Makefile ===
all:
	python setup.py build

t:
	python sample.py

.PHONY: t

=== tests/Makefile ===
.PHONY: clean

CXX = clang++
CXXFLAGS ?= -g -O1

tester: tester.cc ../tiny_obj_loader.h
	$(CXX) $(CXXFLAGS) -fsanitize=address -o tester tester.cc

all: tester

check: tester
	./tester

clean:
	rm -rf tester

=== debian/changelog ===
tinyobjloader (2.0.0~rc5+dfsg1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1
  * Update maintainer email address
  * Stop filtering vaguely linked symbols from DSO

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 27 Nov 2020 21:34:52 +0100

tinyobjloader (2.0.0~rc5+dfsg1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Timo Röhling ]
  * [6352dc5] Fix FTBFS caused by LTO on some architectures
  * [4beabe3] Mark autopkgtest as superficial

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 13 Nov 2020 16:59:32 +0100

tinyobjloader (2.0.0~rc5+dfsg1-2) unstable; urgency=medium

  * Update Vcs-* info.

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 20 Apr 2020 14:35:19 +0200

tinyobjloader (2.0.0~rc5+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #953882)

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Fri, 13 Mar 2020 22:08:18 +0100

=== debian/control ===
Source: tinyobjloader
Priority: optional
Maintainer: Timo Röhling <timo@gaussglocke.de>
Build-Depends: debhelper-compat (= 12), cmake,
               dh-python, python3-all-dev, python3-setuptools,
               python3-pybind11, pybind11-dev
Standards-Version: 4.5.1
Section: libs
Homepage: https://github.com/tinyobjloader/tinyobjloader
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tinyobjloader.git
Vcs-Browser: https://salsa.debian.org/debian/tinyobjloader

Package: libtinyobjloader-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtinyobjloader1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Tiny but powerful wavefront OBJ loader (header)
 tinyobjloader is a single file wavefront OBJ loader written
 in C++. It has no dependencies except the STL, and can parse
 over 10M polygons with moderate amounts of memory and time.
 .
 This package provides the C++ header for development.

Package: libtinyobjloader1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tiny but powerful wavefront OBJ loader
 tinyobjloader is a single file wavefront OBJ loader written
 in C++. It has no dependencies except the STL, and can parse
 over 10M polygons with moderate amounts of memory and time.

Package: python3-tinyobjloader
Section: python
Architecture: any
Multi-Arch: same
Provides: ${python3:Provides}
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Tiny but powerful wavefront OBJ loader (Python 3 bindings)
 tinyobjloader is a single file wavefront OBJ loader written
 in C++. It has no dependencies except the STL, and can parse
 over 10M polygons with moderate amounts of memory and time.
 .
 This package provides experimental Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
export PYBUILD_NAME = tinyobjloader

BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)

%:
	dh $@ --with python3

override_dh_auto_clean:
	dh_auto_clean -Npython3-tinyobjloader -Scmake
	dh_auto_clean -ppython3-tinyobjloader -Spybuild -Dpython

override_dh_auto_configure:
	dh_auto_configure -Npython3-tinyobjloader -Scmake -- \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_TESTING=$(BUILD_TESTING)
	dh_auto_configure -ppython3-tinyobjloader -Spybuild -Dpython

override_dh_auto_build:
	dh_auto_build -Npython3-tinyobjloader -Scmake
	dh_auto_build -ppython3-tinyobjloader -Spybuild -Dpython

override_dh_auto_test:
	dh_auto_test -Npython3-tinyobjloader -Scmake
	dh_auto_test -ppython3-tinyobjloader -Spybuild -Dpython

override_dh_auto_install:
	dh_auto_install -Npython3-tinyobjloader -Scmake
	rm -f debian/tmp/usr/share/doc/tinyobjloader/LICENSE
	dh_auto_install -ppython3-tinyobjloader -Spybuild -Dpython

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tinyobjloader-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg\d*$//,\
uversionmangle=s/-?(a|b|pre|rc)/~$1/,\
repack,repacksuffix=+dfsg \
  https://github.com/tinyobjloader/tinyobjloader/releases .*/v?(\d\S+)\.tar\.gz

## tinyobjloader 2.0.0~rc10%2Bdfsg

=== debian/changelog ===
tinyobjloader (2.0.0~rc10+dfsg-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:55:12 +0000

tinyobjloader (2.0.0~rc10+dfsg-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 18:01:48 +0000

tinyobjloader (2.0.0~rc10+dfsg-3) unstable; urgency=medium

  * Make package cross-buildable
  * Remove Multi-Arch: same from Python package
  * Avoid deprecation warning in CMake 3.27 (Closes: #1040722)

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 23:39:33 +0200

tinyobjloader (2.0.0~rc10+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 20 Dec 2022 20:35:01 +0100

tinyobjloader (2.0.0~rc10+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc10+dfsg
  * Bump SONAME to 2rc10
  * Update d/rules for moved setup.py
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Dec 2022 14:36:50 +0100

tinyobjloader (2.0.0~rc9+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc9+dfsg
  * Bump SONAME to 2rc9

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Mar 2022 16:07:03 +0100

tinyobjloader (2.0.0~rc5+dfsg1-5) unstable; urgency=medium

  * Fix d/watch to use tags, not releases on Github
  * Bump Standards-Version to 4.6.0 (no changes)
  * Bump debhelper compat to 13

 -- Timo Röhling <roehling@debian.org>  Wed, 27 Oct 2021 00:12:26 +0200

## tinyobjloader 2.0.0~rc10+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #This configures the Cmake system with multiple properties, depending
 #on the platform and configuration it is set to build in.
 project(tinyobjloader)
-cmake_minimum_required(VERSION 2.8.11)
-set(TINYOBJLOADER_SOVERSION 1)
-set(TINYOBJLOADER_VERSION 1.0.4)
+cmake_minimum_required(VERSION 3.2)
+set(TINYOBJLOADER_SOVERSION 2)
+set(TINYOBJLOADER_VERSION 2.0.0-rc.10)
 
 #optional double precision support
 option(TINYOBJLOADER_USE_DOUBLE "Build library with double precision instead of single (float)" OFF)
@@ -109,6 +109,11 @@
 #pkg-config file
 configure_file(${PROJECT_NAME}.pc.in ${LIBRARY_NAME}.pc @ONLY)
 
+if(DEFINED ENV{LIB_FUZZING_ENGINE})
+  add_executable(fuzz_ParseFromString fuzzer/fuzz_ParseFromString.cc)
+  target_link_libraries(fuzz_ParseFromString ${LIBRARY_NAME} $ENV{LIB_FUZZING_ENGINE})
+endif()
+
 #Installation
 install(TARGETS
   ${LIBRARY_NAME}

=== python/Makefile ===
all:
	cd .. && python -m pip install .

t:
	python sample.py

.PHONY: t

=== examples/skin_weight/Makefile ===
all:
	clang++ -std=c++11 -o skin_weight -I../../ -g main.cc

=== debian/control ===
Source: tinyobjloader
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
 python3-pybind11,
 pybind11-dev,
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/tinyobjloader/tinyobjloader
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tinyobjloader.git
Vcs-Browser: https://salsa.debian.org/debian/tinyobjloader
Description: Tiny but powerful wavefront OBJ loader
 tinyobjloader is a single file wavefront OBJ loader written
 in C++. It has no dependencies except the STL, and can parse
 over 10M polygons with moderate amounts of memory and time.

Package: libtinyobjloader-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libtinyobjloader2rc10 (= ${binary:Version}),
Description: ${source:Synopsis} (header)
 ${source:Extended-Description}
 .
 This package provides the C++ header for development.

Package: libtinyobjloader2rc10
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python3-tinyobjloader
Section: python
Architecture: any
Multi-Arch: same
Provides:
 ${python3:Provides},
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Python 3 bindings)
 ${source:Extended-Description}
 .
 This package provides experimental Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
export PYBUILD_NAME = tinyobjloader
export PYBUILD_DISABLE = test

BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -Npython3-tinyobjloader --buildsystem=cmake
	dh_auto_clean -ppython3-tinyobjloader --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure -Npython3-tinyobjloader --buildsystem=cmake -- \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_TESTING=$(BUILD_TESTING)
	dh_auto_configure -ppython3-tinyobjloader --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -Npython3-tinyobjloader --buildsystem=cmake
	dh_auto_build -ppython3-tinyobjloader --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -Npython3-tinyobjloader --buildsystem=cmake
	dh_auto_test -ppython3-tinyobjloader --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -Npython3-tinyobjloader --buildsystem=cmake
	rm -f debian/tmp/usr/share/doc/tinyobjloader/LICENSE
	dh_auto_install -ppython3-tinyobjloader --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tinyobjloader-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg\d*$//,\
uversionmangle=s/-?(a|b|pre|rc)/~$1/,\
repack,repacksuffix=+dfsg \
  https://github.com/tinyobjloader/tinyobjloader/tags .*/v?(\d\S+)\.tar\.gz

## tinyobjloader 2.0.0~rc13%2Bdfsg

=== debian/watch ===
Version: 5

Template: Github
Owner: tinyobjloader
Project: tinyobjloader
Dversion-Mangle: auto
Uversion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg

## tinyobjloader 2.0.0~rc13+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,29 @@
 #Tiny Object Loader Cmake configuration file.
 #This configures the Cmake system with multiple properties, depending
 #on the platform and configuration it is set to build in.
-project(tinyobjloader)
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.16)
+project(tinyobjloader CXX)
 set(TINYOBJLOADER_SOVERSION 2)
-set(TINYOBJLOADER_VERSION 2.0.0-rc.10)
+set(TINYOBJLOADER_VERSION 2.0.0-rc.13)
+set(PY_TARGET "pytinyobjloader")
 
 #optional double precision support
 option(TINYOBJLOADER_USE_DOUBLE "Build library with double precision instead of single (float)" OFF)
+option(TINYOBJLOADER_WITH_PYTHON "Build Python module(for developer). Use pyproject.toml/setup.py to build Python module for end-users" OFF)
+option(TINYOBJLOADER_PREFER_LOCAL_PYTHON_INSTALLATION
+      "Prefer locally-installed Python interpreter than system or conda/brew installed Python. Please specify your Python interpreter   with `Python3_EXECUTABLE` cmake option if you enable this option."
+      OFF)
+
+list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
+list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/sanitizers)
+find_package(Sanitizers) # Address sanitizer (-DSANITIZE_ADDRESS=ON)
+
 
 if(TINYOBJLOADER_USE_DOUBLE)
   set(LIBRARY_NAME ${PROJECT_NAME}_double)
 else()
   set(LIBRARY_NAME ${PROJECT_NAME})
 endif()
-
 
 #Folder Shortcuts
 set(TINYOBJLOADEREXAMPLES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/examples)
@@ -46,7 +55,36 @@
 
 option(TINYOBJLOADER_BUILD_TEST_LOADER "Build Example Loader Application" OFF)
 
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
+
+# Build standalone .so for Python binding(for developer)
+if (TINYOBJLOADER_WITH_PYTHON)
+
+  if(TINYOBJLOADER_PREFER_LOCAL_PYTHON_INSTALLATION)
+    #message(STATUS "Local Python")
+    set(Python3_FIND_FRAMEWORK NEVER) # Do not search framework python
+    set(Python3_FIND_STRATEGY LOCATION)
+    set(Python3_FIND_REGISTRY NEVER) # Windows only
+  else()
+    set(Python3_FIND_FRAMEWORK LAST
+    )# Prefer Brew/Conda to Apple framework python
+  endif()
+
+  find_package(
+    Python3
+    COMPONENTS Interpreter Development
+    REQUIRED)
+
+  find_package(pybind11 CONFIG REQUIRED)
+
+endif()
+
+
+
 add_library(${LIBRARY_NAME} ${tinyobjloader-Source})
+add_sanitizers(${LIBRARY_NAME})
 
 if(BUILD_SHARED_LIBS)
   set_target_properties(${LIBRARY_NAME} PROPERTIES
@@ -83,6 +121,24 @@
     DESTINATION
     ${TINYOBJLOADER_RUNTIME_DIR}
     )
+endif()
+
+if (TINYOBJLOADER_WITH_PYTHON)
+  # pybind11 method:
+  pybind11_add_module(${PY_TARGET} ${CMAKE_SOURCE_DIR}/python/bindings.cc ${CMAKE_SOURCE_DIR}/python/tiny_obj_loader.cc)
+
+  add_sanitizers(${PY_TARGET})
+  set_target_properties(${PY_TARGET} PROPERTIES OUTPUT_NAME "tinyobjloader")
+
+  # copy .so to jdepp/
+  add_custom_command(
+    TARGET ${PY_TARGET}
+    POST_BUILD
+    COMMAND "${CMAKE_COMMAND}" -E copy "$<TARGET_FILE:${PY_TARGET}>"
+            "${CMAKE_SOURCE_DIR}/python/$<TARGET_FILE_NAME:${PY_TARGET}>"
+    COMMENT "copying tinyobjloader native python module file to python/"
+    VERBATIM)
+
 endif()
 
 #Write CMake package config files

=== tests/Makefile ===
.PHONY: clean

CXX ?= clang++
CXXFLAGS ?= -g -O1
EXTRA_CXXFLAGS ?= -std=c++03 -fsanitize=address

tester: tester.cc ../tiny_obj_loader.h
	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) -o tester tester.cc

all: tester

check: tester
	./tester

clean:
	rm -rf tester

=== examples/callback_api/Makefile ===
all:
	clang++ -I../../ -Wall -g -o example main.cc

=== debian/changelog ===
tinyobjloader (2.0.0~rc13+dfsg-3) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * Fix FTBFS with GCC-15 (Closes: #1098001)

 -- Timo Röhling <roehling@debian.org>  Sun, 07 Sep 2025 21:12:51 +0200

tinyobjloader (2.0.0~rc13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.7.0
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Nov 2024 15:53:31 +0100

tinyobjloader (2.0.0~rc13+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc13+dfsg
  * Bump SONAME to 2rc13
  * Use AUTOPKGTEST_TMP in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Tue, 06 Feb 2024 22:57:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Priority: optional
 Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  dh-python,
  dh-sequence-python3,
+ libpython3-all-dev,
+ pybind11-dev,
  pybuild-plugin-pyproject,
- python3-all-dev,
+ python3-all-dev:any,
+ python3-pybind11,
  python3-setuptools,
- python3-pybind11,
- pybind11-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/tinyobjloader/tinyobjloader
 Rules-Requires-Root: no
@@ -27,15 +28,15 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libtinyobjloader2rc13 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- libtinyobjloader2rc10 (= ${binary:Version}),
 Description: ${source:Synopsis} (header)
  ${source:Extended-Description}
  .
  This package provides the C++ header for development.
 
-Package: libtinyobjloader2rc10
+Package: libtinyobjloader2rc13
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -47,7 +48,6 @@
 Package: python3-tinyobjloader
 Section: python
 Architecture: any
-Multi-Arch: same
 Provides:
  ${python3:Provides},
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 export PYBUILD_DISABLE = test
 
 BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__$(DEB_HOST_MULTIARCH)
+endif
 
 %:
 	dh $@

=== debian/tests/control ===
Tests:
 build-cpp import-py,
Depends:
 cmake,
 g++ | c++-compiler,
 libtinyobjloader-dev,
 python3-tinyobjloader,
Restrictions:
 superficial,
